net.i2p.sam

## Class SAMv3StreamSession.SocketForwarder

- java.lang.Object
- - java.lang.Thread
  - - net.i2p.sam.SAMv3StreamSession.SocketForwarder

All Implemented Interfaces:
  Runnable

Enclosing class:
  SAMv3StreamSession

    public class SAMv3StreamSession.SocketForwarder
    extends Thread

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

Fields
`(package private) String` `host`
`(package private) int` `port`
`(package private) SAMv3StreamSession` `session`
`(package private) boolean` `verbose`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`SAMv3StreamSession.SocketForwarder(String host, int port, SAMv3StreamSession session, boolean verbose)`

### Method Summary

Methods
`void` `run()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### host

    String host

#### port

    int port

#### session

    SAMv3StreamSession session

#### verbose

    boolean verbose

### Constructor Detail

#### SAMv3StreamSession.SocketForwarder

    SAMv3StreamSession.SocketForwarder(String host,
                                      int port,
                                      SAMv3StreamSession session,
                                      boolean verbose)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`